如果希望在 CentOS 操作系统上安装 Docker ,请确定你需要安装的操作系统满足安装要求,然后请参考安装 Docker页面中的内容。

安装要求

操作系统(OS) 要求

要在 CentOS 上安装 Docker,最低的操作系统版本需要为 CentOS 7。其他的早期版本不能够获得支持。

centos-extras仓库需要被启用。这个仓库在默认情况下是启用的,但是可能因为其他的原因被关闭了,请参考重新启用 centos-extras 仓库页面中的内容。

推荐使用overlay2存储驱动。

卸载老的版本

老的 Docker 版本可能被称为docker或docker-engine。如果这些老的 Docker 版本被安装的话,请首先进行卸载,同时也请卸载关联的依赖。

$ sudo yum remove docker

                  docker-client

                  docker-client-latest

                  docker-common

                  docker-latest

                  docker-latest-logrotate

                  docker-logrotate

                  docker-engine

如果在使用yum的时候,提示没有任何上面的包被安装的话,也没有关系。你可以跳过这个卸载的过程。

路径/var/lib/docker/下的内容包含有 镜像(images),容器(containers),卷(volumes),网络(networks)这些内容。这些内容是 Docker 容器运行需要的必要配置。

Docker 引擎(Docker Engine)的包,当前被修改称为docker-ce。

通过上面的提示,显示没有 package 安装。

https://www.ossez.com/t/docker-centos/716

文章来源于互联网,如有雷同请联系站长删除:Docker CentOS 安装要求

发表评论